<div class="row" *ngIf="oModel != null">
    <div class="col-md-12">
        <!--Alert-->
        <div class="row">
            <div class="col-md-12">
                <app-alerts #oAlert></app-alerts>
            </div>
        </div>
        <!--ENd Alert-->
        <!--Page Title-->
        <div class="row">
            <div class="col-md-12">
                <h2>Teacher's Registration</h2>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                &nbsp;
            </div>
        </div>
        <!--End Page Title-->
        <!--Registration Form-->
        <form name="frmReg" #frmReg="ngForm" novalidate>


            <div class="row">
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-md-12">
                            <label>Email <span class="error"
                                    *ngIf="tbUserEmail.invalid || !bIsMailValid">*</span></label>
                            <input type="text" maxlength="500" class="form-control" name="tbUserEmail"
                                #tbUserEmail="ngModel" [(ngModel)]="oModel.model.userEmail" (blur)="vCheckIfMailValid()"
                                pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" required>
                            <label *ngIf="!bIsMailValid"><span class="error-msg">* Email exist, use
                                    another.</span></label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <label>Confirm Email <span class="error"
                                    *ngIf="tbConfirmMail.invalid || sConfirmEmail != oModel.model.userEmail">*</span></label>
                            <input type="text" name="tbConfirmMail" maxlength="500" class="form-control" [(ngModel)]="sConfirmEmail"
                                #tbConfirmMail="ngModel" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <label>Password <span class="error" *ngIf="tbPassword.invalid">*</span></label>
                            <input type="password" class="form-control" minlength="8" maxlength="16"
                                [(ngModel)]="oModel.model.userPassword" name="tbPassword" #tbPassword="ngModel"
                                pattern="(?=^.{8,16}$)((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*$" required>
                            <label><span class="info-msg">* Password should be at least 8 characters long and a maximum
                                    of 16, it should contain at least 1 capital letter, 1 number.</span></label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <label>Confirm Password <span class="error"
                                    *ngIf="tbConfirmPassword.invalid || sConfirmPassword != oModel.model.userPassword">*</span></label>
                            <input type="password" name="tbConfirmPassword" class="form-control" minlength="8" maxlength="16"
                                [(ngModel)]="sConfirmPassword" #tbConfirmPassword="ngModel" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input type="button" [disabled]="bIsButtonDisabled" class="btn btn-primary float-right" (click)="vRegister(frmReg.valid)"
                                [value]="sSubmitLabel">
                        </div>
                    </div>
                </div>
            </div>

        </form>
        <!--End Of Registration Form-->
    </div>
</div>